Bug 6604 - Support toggle translation
Summary: Support toggle translation
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: IM: Other IMs (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high enhancement
Assignee: uim-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6089
  Show dependency treegraph
 
Reported: 2006-04-15 23:08 UTC by Shun-ichi TAHARA
Modified: 2006-05-03 13:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (7.47 KB, patch)
2006-04-15 23:08 UTC, Shun-ichi TAHARA
Details | Splinter Review
Proposed patch (revised) (11.89 KB, patch)
2006-05-02 11:29 UTC, Shun-ichi TAHARA
Details | Splinter Review
Proposed patch (revised again) (11.91 KB, patch)
2006-05-02 17:58 UTC, Shun-ichi TAHARA
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Shun-ichi TAHARA 2006-04-15 23:08:17 UTC
On anthy or canna backend, some 'tranpose' keys are available.
I made the following patch that makes possible 'toggle' behavior on these functions.

example:

(define-key anthy-transpose-as-hiragana-key '("F6" "Muhenkan"))
(define-key anthy-transpose-as-katakana-key '("F7" "Muhenkan"))
(define-key anthy-transpose-as-hankana-key '("F8" "Muhenkan"))

This makes 'Muhenkan' key as a toggle transpose key, like that of MS-IME.
Comment 1 Shun-ichi TAHARA 2006-04-15 23:08:52 UTC
Created attachment 5320 [details] [review]
Proposed patch
Comment 2 YamaKen 2006-04-23 04:49:25 UTC
The feature seems useful. Thank you for the patch.

But I think that the word 'toggle' is inappropriate to name the feature
since I recognizes the verb as "switch to OPPOSITE state". Although I know
that Japanese mobile phone users call the rotating character input method
'toggle', I believe that it's an Engrish.

So I would like to replace the word with another if the word is not so
strong de facto standard name for IME users. How about calling it
'rotate'?


Oxford English Dictionary:
  n. 1 a device for fastening (esp. a garment), consisting of a crosspiece
       which can pass through a hole or loop in one position but not in another
  v.tr. provide or fasten with a toggle. 

Oxford English Etymology:
  (originally nautical) device, e.g. a pin, to hold a thing in place. 18th
  century of unknown origin.

The Jargon File:
  vt. To change a bit from whatever state it is in to the other state; to
  change from 1 to 0 or from 0 to 1. This comes from 'toggle switches',
  such as standard light switches, though the word 'toggle' actually
  refers to the mechanism that keeps the switch in the position to which
  it is flipped rather than to the fact that the switch has two positions.
Comment 3 Shun-ichi TAHARA 2006-05-02 11:28:04 UTC
'Rotate' sounds good since it can transpose circulately around three or more
types, such as hiragana -> katakana -> hankana.

Now I changed some variable names and added the same feature on mana.
Comment 4 Shun-ichi TAHARA 2006-05-02 11:29:38 UTC
Created attachment 5545 [details] [review]
Proposed patch (revised)
Comment 5 YamaKen 2006-05-02 12:37:12 UTC
Thank you for the change. Etsushi, please review and commit the patch to trunk.
Comment 6 Etsushi Kato 2006-05-02 14:33:51 UTC
OK.  Will try later.
Comment 7 Shun-ichi TAHARA 2006-05-02 17:58:10 UTC
Created attachment 5547 [details] [review]
Proposed patch (revised again)

OOPS, I have a mistake on patch-5545, use this one please.
Comment 8 Etsushi Kato 2006-05-04 05:08:02 UTC
I've checked the patch for anthy.scm, and committed with some modification on
small piece of the code with not r5rs conformation.  In addition I put the code
to begin conversion and cancel conversion in the transposing state.  Also use
reverse color for the transposing text.

I'll do same for canna.scm and mana.scm later.
Comment 9 Etsushi Kato 2006-05-04 06:35:58 UTC
Done for canna and mana in r3363.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.